.modal {
  position: fixed;
  display: flex;
  z-index: 90;
  padding: 0px;
  margin: 0px auto;
  top: 0px;
  left: 0px;
  width: 100%;
  min-height: 100vh;
  height: 100%;
  justify-content: center;
  align-items: center;
  font-size: 40px;
  transition: all 200ms ease-in;
  font-family: 'Kanit', sans-serif; }
  .modal.close {
    display: none !important; }
  .modal__backdrop {
    z-index: 1;
    position: fixed;
    background-color: rgba(0, 0, 0, 0.9);
    width: 100%;
    height: 100%;
    top: 0;
    left: 0; }
  .modal__content {
    z-index: 2;
    position: fixed;
    background-color: #93dddc;
    border: 3px solid #fff;
    color: #FFFFFF;
    font-size: 20px;
    padding-bottom: 40px;
    text-align: center;
    width: 320px;
    border-radius: 20px;
    left: 50%;
    top: 50%;
    transform: translate3d(-50%, -50%, 0); }
  .modal__head {
    text-align: center;
    color: #FFFFFF;
    font-size: 26px;
    margin: 20px 0;
    line-height: 24px;
    background-color: #77c883;
    display: inline-block;
    padding: 18px 30px;
    border-radius: 30px;
    font-size: 20px;
    margin-top: -45px;
    min-width: 150px; }
    .modal__head::before {
      content: '!';
      width: 15px;
      height: 15px;
      background-color: #fff;
      display: inline-block;
      color: #f17f96;
      border-radius: 50%;
      padding: 10px;
      line-height: 18px;
      font-size: 30px;
      position: absolute;
      left: 0;
      right: 0;
      margin: 0 auto;
      top: -48px;
      border: 10px solid #77c883;
      font-weight: bold; }
  .modal__bottom {
    position: absolute;
    display: block;
    width: 100%;
    bottom: 0px;
    transform: translate3d(0, 50%, 0); }
  .modal__button {
    cursor: pointer;
    display: inline-block;
    text-align: center;
    font-size: 20px;
    width: 45%;
    height: 40px;
    line-height: 40px;
    margin: 0 .4em;
    border-radius: 30px;
    color: #fff;
    background-color: #ffb062; }
    .modal__button:hover {
      background-color: #ea9d50; }

.inbox {
  display: block;
  width: 250px;
  padding: 15px;
  margin: 0px auto;
  border-radius: 20px;
  background-color: #fff;
  text-align: center;
  font-size: 18px;
  color: #000; }
  .inbox__head {
    display: block;
    font-size: 1.5em;
    text-align: center;
    line-height: 2em; }

.input_uid {
  border: 0;
  background-color: transparent;
  font-size: 22px;
  text-align: center;
  width: 100%;
  color: #fff; }
  .input_uid:focus {
    outline: none; }
